package com.steerinfo.baseinfo.meterbaserfidinfo.mapper;

import com.steerinfo.baseinfo.meterbaserfidinfo.model.MeterBaseRfidInfo;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MeterBaseRfidInfoMapper extends IBaseMapper<MeterBaseRfidInfo, String> {
    String getNewID(@Param(value="afl")String afl);

    //查询RFID或者车号重复的数据
    List<MeterBaseRfidInfo> selectByMap(HashMap<String, Object> map);
    List<MeterBaseRfidInfo> likeByDesc(HashMap<String, Object> map);
    List<String> carNoByNoPage(HashMap<String, Object> map);
}